import { Component, h, Host, Prop } from '@stencil/core';
import { openWormhole } from 'stencil-wormhole';
export class ScOrderManualInstructions {
  render() {
    if (!this.manualPaymentInstructions || !this.manualPaymentTitle) {
      return h(Host, { style: { display: 'none' } });
    }
    return (h("sc-alert", { type: "info", open: true },
      h("span", { slot: "title" }, this.manualPaymentTitle),
      this.manualPaymentInstructions.split('\n').map(i => {
        return h("p", null, i);
      })));
  }
  static get is() { return "sc-order-manual-instructions"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["sc-order-manual-instructions.css"]
  }; }
  static get styleUrls() { return {
    "$": ["sc-order-manual-instructions.css"]
  }; }
  static get properties() { return {
    "manualPaymentTitle": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "manual-payment-title",
      "reflect": false
    },
    "manualPaymentInstructions": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "manual-payment-instructions",
      "reflect": false
    }
  }; }
}
openWormhole(ScOrderManualInstructions, ['manualPaymentTitle', 'manualPaymentInstructions'], false);
